// EHPA_Detect_Level.ddl, written by J. Messer, 2003.06.19


#include "PA\PA_Detect.inc"

METHOD std_DetectDevice
{
	LABEL "std_DetectDevice" ;
	DEFINITION
	{
		ReadCommand(read_phys_device_id);

		if( phys_device_id == "Multicap" ) {
			ReadCommand(read_phys_blk);
			if (phys_blk_profile_rev == 0x0300 ) {
				ReadCommand(read_phys_software_rev);
				if ((phys_software_rev == "1.0")||(phys_software_rev == "1.1")){
					ret_DetectDevice = "\\Sensor\\Level\\Capacitive\\EH\\MulticapFEC14\\Rev1" ;
				}
			}
		} else if ( phys_device_id == "FMR 2XX" ) {
			ReadCommand(read_phys_blk);
			if (phys_blk_profile_rev == 0x0300 ) {
				ret_DetectDevice = "\\Sensor\\Level\\Echo\\EH\\Micropilot M" ;
			} 
		} else if ( phys_device_id == "FEB 24" ) {
			ReadCommand(read_phys_software_rev);
			if ((phys_software_rev == "1.0") 
				|| (phys_software_rev == "1.1")
				|| (phys_software_rev == "1.2") ) {
				ret_DetectDevice = "\\Sensor\\Level\\Hydrostatic\\EH\\Deltapilot SP2.0" ;
			} else {
				ret_DetectDevice = "\\Sensor\\Level\\Hydrostatic\\EH\\Deltapilot S" ;
			}		
		} else if ( phys_device_id == "Liquiphant" ) {			
			ret_DetectDevice = "\\DiscreteIn\\EH\\Liquiphant M" ;
		} else if ( phys_device_id == "FMU 4X") {
			ret_DetectDevice = "\\Sensor\\Level\\Echo\\EH\\Prosonic M" ;
		} else if ( phys_device_id == "FMP 4X") {
			ret_DetectDevice = "\\Sensor\\Level\\Echo\\EH\\Levelflex M" ;
		}
	}
}